For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all properties
        • GETGet a property by ID
        • PUTUpdate Property: Propertyware
        • POSTCreate Property: Propertyware
        • POSTCreate Property File: Propertyware
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Propertyware SOAPProperties

Create Property File: Propertyware

POST
/v1/properties/propertyware/:property_id/file-upload/
POST
/v1/properties/propertyware/:property_id/file-upload/
$curl -X POST https://api.propexo.com/v1/properties/propertyware/property_id/file-upload/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "propware-987654321",
> "attachment": {
> "file_data": "VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg==",
> "file_name": "building_plan.pdf",
> "mime_type": "application/pdf"
> }
>}'
1{
2 "meta": {
3 "job_id": "job-1234567890"
4 },
5 "result": {
6 "integration_id": "propware-987654321",
7 "property_id": "property-12345",
8 "attachment": {
9 "file_name": "building_plan.pdf",
10 "mime_type": "application/pdf",
11 "file_data": "VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg=="
12 },
13 "notes": "Uploaded building plan for renovation project.",
14 "is_private": false
15 }
16}
Create Property File: Propertyware. Note that due to limitations on Propertyware, files will be uploaded to the "Multimedia" tab on the building's view instead of the "Notes&Docs" tab that other files are viewable from. This can still contains any type of file, whether an image or a PDF. | Method | |---| | attachImageToBuilding | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Get all residents

Next
Built with

Create Property File: Propertyware. Note that due to limitations on Propertyware, files will be uploaded to the “Multimedia” tab on the building’s view instead of the “Notes&Docs” tab that other files are viewable from. This can still contains any type of file, whether an image or a PDF.

Method
attachImageToBuilding
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

property_idstringRequired
The ID of the resource.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
attachmentobjectRequired
Attachment file on the unit
notesstringOptional
General notes about the file
is_privatebooleanOptional
If the file should be marked as private

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error